Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006418opensim[REGION] Physics Enginespublic2012-11-10 11:592014-07-29 13:41
ReporterTeravus 
Assigned ToRobert Adams 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows 7 64 BitOSWindowsOS Version7
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006418: bulletsim - Terrain Object Tunnelling
DescriptionYou can place a mesh object, such as a tori half way in the ground and make it physical and the object tunnels into the terrain colliding forever.

See : http://www.youtube.com/watch?v=sVce93A2Yuc [^]
Steps To ReproduceCreate a cylinder like that. Place it just over half way in the terrain and set physical.
Additional InformationGenerally, this is a bad thing if the object never comes to rest inside the terrain. This may also cause perpetual collision draining resources. Some research should be done to see if it ever sleeps in that position.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0023242)
Robert Adams (administrator)
2012-12-14 13:28

Fixed by implementing terrain with a proper mesh. The Bullet heightmap terrain implementation is weak on several counts.

- Issue History
Date Modified Username Field Change
2012-11-10 11:59 Teravus New Issue
2012-11-11 20:26 Robert Adams Assigned To => Robert Adams
2012-11-11 20:26 Robert Adams Status new => assigned
2012-12-14 13:28 Robert Adams Note Added: 0023242
2012-12-14 13:28 Robert Adams Status assigned => resolved
2012-12-14 13:28 Robert Adams Fixed in Version => master (dev code)
2012-12-14 13:28 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker